Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface PointPlacement

All Superinterfaces:
  TextPlacement

    @XmlElement(value="PointPlacement")
    public interface PointPlacement

extends TextPlacement

Used in the `TextSymbol` class to indicate that text should be drawn starting at a particular point and extending in a straight line.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Expression` | `getAnchorX()` Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point.
`Expression` | `getAnchorY()` Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point.
`Expression` | `getDisplacementX()` Returns an expression that computes a pixel offset from the geometry point.
`Expression` | `getDisplacementY()` Returns an expression that computes a pixel offset from the geometry point.
`Expression` | `getRotation()` Returns the expression that will be evaluated to determine the rotation of the text about its anchor point.
`void` | `setAnchorX(Expression e)` Sets the expression that indicates the position within the bounding box of the text that is anchored to the geometry point.
`void` | `setAnchorY(Expression e)` Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point.
`void` | `setDisplacementX(Expression e)` Sets the expression that computes a pixel offset from the geometry point.
`void` | `setDisplacementY(Expression e)` Sets the expression that computes a pixel offset from the geometry point.
`void` | `setRotation(Expression e)` Sets the expression that will be evaluated to determine the rotation of the text about its anchor point.

Methods inherited from interface TextPlacement
`accept`

Method Detail

### getAnchorX

    @XmlElement(value="AnchorPointX")
    Expression getAnchorX()

  Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point. This expression must evaluate to a floating point number between zero and one with zero indicating the far left of the bounding box and one indicating the far right of the bounding box. If the expression is null, the default value is zero.

### setAnchorX

    @XmlElement(value="AnchorPointX")
    void setAnchorX(Expression e)

  Sets the expression that indicates the position within the bounding box of the text that is anchored to the geometry point. See `getAnchorX()` for details.

### getAnchorY

    @XmlElement(value="AnchorPointY")
    Expression getAnchorY()

  Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point. This expression must evaluate to a floating point number between zero and one with zero indicating the bottom of the bounding box and one indicating the top of the bounding box. If the expression is null, the default value is zero.

### setAnchorY

    @XmlElement(value="AnchorPointY")
    void setAnchorY(Expression e)

  Returns an expression that indicates the position within the bounding box of the text that is anchored to the geometry point. See `getAnchorY()` for details.

### getDisplacementX

    @XmlElement(value="DisplacementX")
    Expression getDisplacementX()

  Returns an expression that computes a pixel offset from the geometry point. This offset point is where the text's anchor point gets located. If this expression is null, the default offset of zero is used.

### setDisplacementX

    @XmlElement(value="DisplacementX")
    void setDisplacementX(Expression e)

  Sets the expression that computes a pixel offset from the geometry point. See `getDisplacementX()` for details.

### getDisplacementY

    @XmlElement(value="DisplacementY")
    Expression getDisplacementY()

  Returns an expression that computes a pixel offset from the geometry point. This offset point is where the text's anchor point gets located. If this expression is null, the default offset of zero is used.

### setDisplacementY

    @XmlElement(value="DisplacementY")
    void setDisplacementY(Expression e)

  Sets the expression that computes a pixel offset from the geometry point. See `getDisplacementY()` for details.

### getRotation

    @XmlElement(value="Rotation")
    Expression getRotation()

  Returns the expression that will be evaluated to determine the rotation of the text about its anchor point. The rotation must evaluate to a number that is interpreted as rotation clockwise in decimal degrees from the normal orientation of the text. If the expression is null, then the default value of zero is used.

### setRotation

    @XmlElement(value="Rotation")
    void setRotation(Expression e)

  Sets the expression that will be evaluated to determine the rotation of the text about its anchor point. See `getRotation()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.